import { config, networkUtils } from '../../utils';

const { request } = networkUtils;
const { api } = config;
const { price } = api;
const { refer } = price;

export async function query(params) {
  return request({
    url: refer,
    method: 'get',
    data: params,
  });
}

export async function updateRows(params) {
  return request({
    url: refer,
    method: 'post',
    data: params,
  });
}

export async function getSingle(id) {
  return request({
    url: `${refer}/${id}`,
    method: 'get',
  })
}
